<?php

// Digital Shop version 3.0.4
// Copyright (C) 2008-2014 JF Nutbroek <jfnutbroek@gmail.com>
// See the included End User License Agreement (EULA)

// ***************************************************
// **** The following section has to be modified! ****
// ***************************************************

// Login for uploading and editing content
$login        = 'admin,password';                                  // Administrator login + password comma separated. !! CHANGE THIS !!
$admin_ip     = '';                                                // Optional: allow administrator login only from specified IP address, one or multiple IP's comma separated

// Database settings
$host         = 'localhost';                                       // Your MySql server
$user         = '';                                                // Your MySql username
$password     = '';                                                // Your MySql password
$database     = '';                                                // Your MySql databasename. Leave empty to create new database 'digitalshop' with install.php

// Webserver settings
$shopurl   = 'http://www.mywebmymail.com/digitalshop';             // The url to your shop directory (without trailing slash)

// Shop details
$currency     = 'EUR';                                             // Shop currency in 3 character ISO code, uppercase. NOTE: Your online account has to be in the same currency!
$mailfrom     = 'noreply@yourshop.com';                            // The email 'from' address, when sending emails to customers, same domain as your shop
$mailbcc      = 'admin@yourshop.com';                              // Recommended: email bcc address (to receive copies of orders/lost keys/invoices) - leave empty to disable
$location     = 'The Netherlands';                                 // The country you live in (will show on invoice for tax purposes)
$shopcontact  = 'service@yourshop.com';                            // The email address for contacting the shop

// PayPal details
$paypal       = true;                                              // Enable shop for PayPal payments - See expert settings below for local IPN configuration
$pp_business  = 'sales@yourshop.com';                              // Your Paypal email address for receiving payments - Your primary email address !
$pp_lc        = 'EN';                                              // PayPal default landing page language

// BIPS Bitcoin details
$bips          = false;                                             // Enable shop for BIPS (bitcoin) payments, see https://bips.me/referrer/yPe
$bips_api      = '';                                                // The BIPS API key
$bips_secret   = '';                                                // The BIPS secret code
$bips_business = 'sales@yourshop.com';                              // Your BIPS email address for receiving payment notification

// Moneybookers details
$moneybookers = false;                                             // Enable shop for MoneyBookers payments
$mb_business  = 'sales@yourshop.com';                              // Your Moneybookers email address for receiving payments
$mb_password  = '';                                                // Your Moneybookers secret word (not your login password!)
$mb_id        = '';                                                // Your Moneybookers ID (number)

// Authorize.net details
$authorize    = false;                                             // Enable shop for Authorize.net payments
$an_business  = 'sales@yourshop.com';                              // The email address you use for your Authorize.net online business
$an_loginid   = '';                                                // Your Authorize.net API Login ID
$an_key       = '';                                                // Your Authorize.net Transaction Key
$an_md5       = '';                                                // Your Authorize.net MD5-Hash 

// Bank transfer settings
$bank         = false;                                             // Enable shop for bank transfer payments
$bk_business  = 'sales@yourshop.com';                              // The email address you use for your Bank transfer business
$bank_1       = '';                                                // Line 1 in email for bank transfer details (account, SWIFT, IBAN number etc.)
$bank_2       = '';                                                // Line 2 in email for bank transfer details (account, SWIFT, IBAN number etc.)
$bank_3       = '';                                                // Line 3 in email for bank transfer details (account, SWIFT, IBAN number etc.)
$bank_4       = '';                                                // Line 4 in email for bank transfer details (account, SWIFT, IBAN number etc.)

// ***************************************************
// **** Optional settings - customize your shop  *****
// ***************************************************

// General settings
$shopname            = 'Digital Shop';                             // Name of the online shop
$standard_language   = 'English';                                  // Standard language as defined in language.php
$exit_page           = 'http://www.mywebmymail.com';               // Standard exit page if referral has been disabled by visitor
$showhomepage        = true;                                       // Redirect a first time visitor to the homepage (unless the link directs to a product)
$readmore            = 300;                                        // The amount of characters after which '...read more' appears
$readmoremenu        = 14;                                         // The amount of characters after which '..' appears in the menus
$results_page        = 16;                                         // Maximum amount of products per page in shop
$mp3_tracks_page     = 32;                                         // Maximum amount of MP3 tracks per page in shop
$mp3_samplesize      = 10;                                         // Sample size in % of original track size (when no sample is provided automatically create sample of this size)
$photo_thumbsize     = 500;                                        // Thumbnail maximum width in px (when no thumbnail is provided automatically create thumbnail of this size)
$gridview            = false;                                      // Initial file view as grid, set to false for list view: true or false

// Administrator
$results_page_admin  = 32;                                         // Maximum amount of products per page on admininstration pages
$email_rewrite       = true;                                       // Optional: If you experience problems sending emails, set this option to false: true or false
$sendinvoice         = true;                                       // Optional: Send an invoice by email: true or false
$allowrating         = true;                                       // Optional: Allow visitors to rate a product, 1 to 5 stars: true or false
$wysiwyg_editor      = true;                                       // Use an advanced editor for product descriptions: true or false
$usecaptcha          = true;                                       // Use a captcha verification code to try and prevent bot-based password cracking attempts
$receive_ipn_error   = false;                                      // Receive an email if the IPN verification failed or encountered an error
$allowcoupon         = true;                                       // Allow discount coupons to be entered upon checkout
$notify_download     = true;                                       // Shop administrator receives notification upon first download of purchase

// Purchase validity
$expire_period       = 3;                                          // Amount of days a key stays valid after 1st download
$max_downloads       = 3;                                          // Maximum allowable downloads per key
$allowzip            = false;                                      // Disable zipping of multiple files at download page
$maxzipsize          = 32;                                         // Maximum size for zip files in Mb (depends on your server php.ini memory limit)
$blockaccess         = 60;                                         // Blocks access to downloads in minutes when 3 wrong keys have been entered

// Minimum transaction value
$paywyw_minimum      = 0.5;                                        // The minimum price which will be processed in the shop (to cover the transaction fees), also Pay What You Want minimum

// Permanent commission payment
$permanent_commission = false;                                      // Commission payment over ALL sales
$permanent_affiliate  = '';                                        // The affiate ID of the person who should receive the commission (needs to sign-up first)
$permanent_value      = 10;                                        // Commission percentage over net value of each order placed (i.e. 10 = 10%)

// Affiliate settings
$affiliate           = true;                                       // Enable affiliate program: true or false
$commission          = 10;                                         // Commission percentage over net value of each order placed (i.e. 10 = 10%)

// Global affiliate and commission settings
$cookie_days         = 90;                                         // The period a cookie with affiliate information stays valid, 0 will disable cookies (EU privacy regulation)
$your_aid            = '';                                         // Your affiliate ID (sign up on www.mywebmymail.com/digitalshop)
$balance             = 10;                                         // Total commision balance before payment is made( i.e. 10 = 10 Euro)
$reduction           = 0;                                          // Reduction percentage of net order value before calculating commission (subtract 3rd party costs)

// Large local single file downloads
$resumable_download  = false;                                      // Allow secure private resumable download for local large files (file will be split in parts)
$split_size          = 150;                                        // File split size in MB or minimum filesize for creating temporary URL files
$temporary_url       = false;                                      // Alternative to resumable downloads (less secure, large file copy is not always supported, consumes diskspace!): full download with temporary URL
$temporary_time      = 120;                                        // Length of time in minutes the temporary file will be available (depends on visits to the shop - no visits = nothing deleted!)
$x_sendfile          = false;                                      // Alternative to resumable and temporary downloads, works only if your webserver supports the X-Sendfile header!

// Remote files
$remote_hosting      = false;                                      // Enable remote hosting of files (see manual for details)
$remote_files        = '';                                         // A comma separated list with the remote filenames
$remote_url          = '';                                         // The URL to the remote directory with files (without trailing slash): http://www.filehost.com/yourfolder

// Shop Layout 
$show_header         = true;                                       // Show pageheader: true or false
$show_footer         = true;                                       // Show pagefooter: true or false
$verified_logo       = true;                                       // Show PayPal verified logo: true or false
$mb_logo             = true;                                       // Show Moneybookers logo: true or false
$an_logo             = true;                                       // Show Authorize.net logo: true or false
$bips_logo           = true;                                       // Show bitcoin logo: true of false
$show_rss            = true;                                       // Show RSS feed icon: true or false
$show_addthis        = false;                                      // Show AddThis icon: true or false (might slow down page load)
$show_sitemap        = true;                                       // Show the sitemap link in the menu: true or false
$price_as_image      = true;                                       // Display price as image or as text: true or false
$shop_infotext       = false;                                      // Display text based shop without dynamic images: true or false
$show_contactform    = true;                                       // Show a contact form: true or false
$background          = 'shopgfx/background.png';                   // Path to the background image, leave empty to disable
$hideindex           = false;                                      // Hide 'All products' icon and 'Index' menu link (option when you organize everything in categories)
$xsmall              = false;                                      // Display an extra small shop without borders, shop width will be 800px
$set_shopwidth       = 0;                                          // Determine your own shopwidth in px (overrides the automatic width determination)

// Menu layout
$menu_width          = 190;                                        // Width of the menus in pixels
$show_leftmenu       = true;                                       // Display a category menu on the left side (standard)
$show_rightmenu      = false;                                      // Display a category menu on the right side
$right_categories    = 'Category,Subcategory,etc.';                // Names of categories + subcategories that need to be displayed on the right side menu, comma separated

// Display extra menus
$show_search         = true;                                       // Show the search option (to search through products): true or false
$show_languages      = true;                                       // Show language selection menu: true or false
$show_mostpopular    = true;                                       // Show most popular products: true or false
$mostpopular_size    = 2;                                          // Length of most popular list
$show_featured       = true;                                       // Show featured product: true or false
$show_featuredid     = 1;                                          // File ID for featured product

// Custom menu
$show_custom_menu    = false;                                      // Show a custom menu for a custom page: true or false
$custom_link         = 'http://simpleviewer.net/tiltviewer/app/';  // The link for the custom iframe page, change the link and menu description in the language file

// Website Integration
$iframe              = false;                                      // Allows you to integrate Digital Shop in an iframe in your website
$cancel_webpage      = '';                                         // The URL to the order cancel page 
$thankyou_webpage    = '';                                         // The URL to the order thankyou page 
$download_webpage    = '';                                         // The URL to the download page
$iframe_shop         = '';                                         // The URL to the shop page 
$shopcolor           = '#FAFAFA';                                  // Interior color of the shoppage (set to the same color as your website page color)

// Header images
$headerimage         = 'header.png';                               // Name of the shop header image located in 'shopgfx'
$headeremailimage    = 'headeremail.png';                          // Name of the email header image located in 'shopgfx'

// Album Features
$tableformat         = '4x4';                                       // Display 4x4 products per album page
$thumbsize           = 140;                                         // Thumbnail width for photoalbums
$show_name           = true;                                        // Display original filename above icon/photo: true or false
$show_randomimage    = false;                                       // Show a random photo from a photoalbum (needs 'featured product' enabled): true or false
$randomimage_dir     = 'Photoalbum1,Photoalbum2';                   // Directoryname(s) to use for the random image (name of the photoalbum), comma separated

// Watermark
$watermarkposition   = '50% 50%';                                  // Position of watermark image in % of width and height
$transparency        = 25;                                         // Visibility of watermark image 0-100

// Play video sample
$show_video          = false;                                       // Show the embedded HTML5 video player for video files MP4, WebM or Ogg
$show_video_width    = 320;                                         // The width of the video player - Note: update width in css file also
$show_video_height   = 180;                                         // 256 x 144 is a true 16:9 ratio

// Coupon colors
$coupontitlecolor    = '#FF0000';                                  // Title color on PNG coupon
$coupontextcolor     = '#000000';                                  // Text color on PNG coupon
$couponcodecolor     = '#0033FF';                                  // Coupon code color on PNG coupon

// Pricetag PNG
$tagsize             = 20;                                         // Fontsize price on PNG pricetag
$tagx                = 0;                                          // X offset position price on PNG pricetag (price will be centered)
$tagy                = 55;                                         // Y position price on PNG pricetag
$write_text          = true;                                       // Write 'Buy Now!' (in respective language) on the pricetag: true or false

// Filetype PNG
$box                 = false;                                      // Show on-the-fly software box instead of fileinfo PNG: true or false
$shop_fileinfocolor  = '#000000';                                  // File information color on PNG filetag
$shop_filenamecolor  = '#0033FF';                                  // File name color on PNG filetag
$fileinfosize        = 20;                                         // Fontsize fileinfo on PNG filetag
$filenamesize        = 13;                                         // Fontsize filename on PNG filetag
$fileinfoy           = 47;                                         // Y position fileinfo on PNG filetag
$filenamey           = 65;                                         // Y position filename on PNG filetag

// Expert settings                                                 // Do not change these settings unless you experience problems and you know what you are doing
$sandbox             = false;                                      // Use Sandbox test IPN tool / account: true or false
$enable_notify_url   = false;                                      // Optional: Post your IPN notify_url to PayPal when you run multiple shops: true or false
$ipn_url             = '';                                         // Optional: Enter your IPN URL (http address to ipn.php) if it is different from this shops ipn.php page
$data_dir_path       = '';                                         // Optional: Path to data directory, example: '/www/srv/...' (not required, for experts only)
$chmod_level         = '0755';                                     // Optional: The privileges on the server - use 0777 or 0755 - depends on the server


// **************************************************
// *** Configuration of countries, states, taxes  ***
// **************************************************

// Taxes for countries, add states as required
// Required only for BIPS, Moneybookers, Authorize.net and Bank Transfer
// For PayPal you can set the taxes in your PayPal account
// Specify tax in percentage, i.e. 19 is 19% VAT
// Example for EU countries:
// $add_taxes = array("AT"=>"19","BE"=>"19","BG"=>"19","CY"=>"19","CZ"=>"19","DK"=>"19","EE"=>"19","FI"=>"19","FR"=>"19","DE"=>"19","GB"=>"19","GR"=>"19","HU"=>"19","IE"=>"19","IT"=>"19","LV"=>"19","LT"=>"19","LU"=>"19","MT"=>"19","NL"=>"19","PL"=>"19","PT"=>"19","RO"=>"19","SK"=>"19","SI"=>"19","ES"=>"19","SE"=>"19");
// Update below as required
$add_taxes = array();

// Available countries in Digital Shop, add states as required
$countries = array(
"AF"=>"AFGHANISTAN",
"AX"=>"ALAND ISLANDS",
"AL"=>"ALBANIA",
"DZ"=>"ALGERIA",
"AS"=>"AMERICAN SAMOA",
"AD"=>"ANDORRA",
"AO"=>"ANGOLA",
"AI"=>"ANGUILLA",
"AQ"=>"ANTARCTICA",
"AG"=>"ANTIGUA AND BARBUDA",
"AR"=>"ARGENTINA",
"AM"=>"ARMENIA",
"AW"=>"ARUBA",
"AU"=>"AUSTRALIA",
"AT"=>"AUSTRIA",
"AZ"=>"AZERBAIJAN",
"BS"=>"BAHAMAS",
"BH"=>"BAHRAIN",
"BD"=>"BANGLADESH",
"BB"=>"BARBADOS",
"BY"=>"BELARUS",
"BE"=>"BELGIUM",
"BZ"=>"BELIZE",
"BJ"=>"BENIN",
"BM"=>"BERMUDA",
"BT"=>"BHUTAN",
"BO"=>"BOLIVIA",
"BA"=>"BOSNIA AND HERZEGOVINA",
"BW"=>"BOTSWANA",
"BV"=>"BOUVET ISLAND",
"BR"=>"BRAZIL",
"IO"=>"BRITISH INDIAN OCEAN TERRITORY",
"BN"=>"BRUNEI DARUSSALAM",
"BG"=>"BULGARIA",
"BF"=>"BURKINA FASO",
"BI"=>"BURUNDI",
"KH"=>"CAMBODIA",
"CM"=>"CAMEROON",
"CA"=>"CANADA",
"CV"=>"CAPE VERDE",
"CI"=>"COTE D'IVOIRE",
"KY"=>"CAYMAN ISLANDS",
"CF"=>"CENTRAL AFRICAN REPUBLIC",
"TD"=>"CHAD",
"CL"=>"CHILE",
"CN"=>"CHINA",
"CX"=>"CHRISTMAS ISLAND",
"CC"=>"COCOS (KEELING) ISLANDS",
"CO"=>"COLOMBIA",
"KM"=>"COMOROS",
"CG"=>"CONGO",
"CD"=>"CONGO, THE DEMOCRATIC REPUBLIC OF THE",
"CK"=>"COOK ISLANDS",
"CR"=>"COSTA RICA",
"HR"=>"CROATIA",
"CU"=>"CUBA",
"CY"=>"CYPRUS",
"CZ"=>"CZECH REPUBLIC",
"DK"=>"DENMARK",
"DJ"=>"DJIBOUTI",
"DM"=>"DOMINICA",
"DO"=>"DOMINICAN REPUBLIC",
"EC"=>"ECUADOR",
"EG"=>"EGYPT",
"SV"=>"EL SALVADOR",
"GQ"=>"EQUATORIAL GUINEA",
"ER"=>"ERITREA",
"EE"=>"ESTONIA",
"ET"=>"ETHIOPIA",
"FK"=>"FALKLAND ISLANDS (MALVINAS)",
"FO"=>"FAROE ISLANDS",
"FJ"=>"FIJI",
"FI"=>"FINLAND",
"FR"=>"FRANCE",
"GF"=>"FRENCH GUIANA",
"PF"=>"FRENCH POLYNESIA",
"TF"=>"FRENCH SOUTHERN TERRITORIES",
"GA"=>"GABON",
"GM"=>"GAMBIA",
"GE"=>"GEORGIA",
"DE"=>"GERMANY",
"GH"=>"GHANA",
"GI"=>"GIBRALTAR",
"GR"=>"GREECE",
"GL"=>"GREENLAND",
"GD"=>"GRENADA",
"GP"=>"GUADELOUPE",
"GU"=>"GUAM",
"GT"=>"GUATEMALA",
"GN"=>"GUINEA",
"GW"=>"GUINEA-BISSAU",
"GY"=>"GUYANA",
"HT"=>"HAITI",
"HM"=>"HEARD ISLAND AND MCDONALD ISLANDS",
"VA"=>"HOLY SEE (VATICAN CITY STATE)",
"HN"=>"HONDURAS",
"HK"=>"HONG KONG",
"HU"=>"HUNGARY",
"IS"=>"ICELAND",
"IN"=>"INDIA",
"ID"=>"INDONESIA",
"IR"=>"IRAN ISLAMIC REPUBLIC OF",
"IQ"=>"IRAQ",
"IE"=>"IRELAND",
"IL"=>"ISRAEL",
"IT"=>"ITALY",
"JM"=>"JAMAICA",
"JP"=>"JAPAN",
"JO"=>"JORDAN",
"KZ"=>"KAZAKHSTAN",
"KE"=>"KENYA",
"KI"=>"KIRIBATI",
"KP"=>"KOREA DEMOCRATIC PEOPLE'S REPUBLIC OF",
"KR"=>"KOREA REPUBLIC OF",
"KW"=>"KUWAIT",
"KG"=>"KYRGYZSTAN",
"LA"=>"LAO PEOPLE'S DEMOCRATIC REPUBLIC",
"LV"=>"LATVIA",
"LB"=>"LEBANON",
"LS"=>"LESOTHO",
"LR"=>"LIBERIA",
"LY"=>"LIBYAN ARAB JAMAHIRIYA",
"LI"=>"LIECHTENSTEIN",
"LT"=>"LITHUANIA",
"LU"=>"LUXEMBOURG",
"MO"=>"MACAO",
"MK"=>"MACEDONIA, THE REPUBLIC OF",
"MG"=>"MADAGASCAR",
"MW"=>"MALAWI",
"MY"=>"MALAYSIA",
"MV"=>"MALDIVES",
"ML"=>"MALI",
"MT"=>"MALTA",
"MH"=>"MARSHALL ISLANDS",
"MQ"=>"MARTINIQUE",
"MR"=>"MAURITANIA",
"MU"=>"MAURITIUS",
"YT"=>"MAYOTTE",
"MX"=>"MEXICO",
"FM"=>"MICRONESIA, FEDERATED STATES OF",
"MD"=>"MOLDOVA, REPUBLIC OF",
"MC"=>"MONACO",
"MN"=>"MONGOLIA",
"ME"=>"MONTENEGRO",
"MS"=>"MONTSERRAT",
"MA"=>"MOROCCO",
"MZ"=>"MOZAMBIQUE",
"MM"=>"MYANMAR",
"NA"=>"NAMIBIA",
"NR"=>"NAURU",
"NP"=>"NEPAL",
"NL"=>"NETHERLANDS",
"AN"=>"NETHERLANDS ANTILLES",
"NC"=>"NEW CALEDONIA",
"NZ"=>"NEW ZEALAND",
"NI"=>"NICARAGUA",
"NE"=>"NIGER",
"NG"=>"NIGERIA",
"NU"=>"NIUE",
"NF"=>"NORFOLK ISLAND",
"MP"=>"NORTHERN MARIANA ISLANDS",
"NO"=>"NORWAY",
"OM"=>"OMAN",
"PK"=>"PAKISTAN",
"PW"=>"PALAU",
"PS"=>"PALESTINIAN TERRITORY",
"PA"=>"PANAMA",
"PG"=>"PAPUA NEW GUINEA",
"PY"=>"PARAGUAY",
"PE"=>"PERU",
"PH"=>"PHILIPPINES",
"PN"=>"PITCAIRN",
"PL"=>"POLAND",
"PT"=>"PORTUGAL",
"PR"=>"PUERTO RICO",
"QA"=>"QATAR",
"RE"=>"REUNION",
"RO"=>"ROMANIA",
"RU"=>"RUSSIAN FEDERATION",
"RW"=>"RWANDA",
"SH"=>"SAINT HELENA",
"KN"=>"SAINT KITTS AND NEVIS",
"LC"=>"SAINT LUCIA",
"PM"=>"SAINT PIERRE AND MIQUELON",
"VC"=>"SAINT VINCENT AND THE GRENADINES",
"WS"=>"SAMOA",
"SM"=>"SAN MARINO",
"ST"=>"SAO TOME AND PRINCIPE",
"SA"=>"SAUDI ARABIA",
"SN"=>"SENEGAL",
"RS"=>"SERBIA, REPUBLIC OF",
"SC"=>"SEYCHELLES",
"SL"=>"SIERRA LEONE",
"SG"=>"SINGAPORE",
"SK"=>"SLOVAKIA",
"SI"=>"SLOVENIA",
"SB"=>"SOLOMON ISLANDS",
"SO"=>"SOMALIA",
"ZA"=>"SOUTH AFRICA",
"GS"=>"SOUTH GEORGIA AND THE SSI",
"ES"=>"SPAIN",
"LK"=>"SRI LANKA",
"SD"=>"SUDAN",
"SR"=>"SURINAME",
"SJ"=>"SVALBARD AND JAN MAYEN",
"SZ"=>"SWAZILAND",
"SE"=>"SWEDEN",
"CH"=>"SWITZERLAND",
"SY"=>"SYRIAN ARAB REPUBLIC",
"TW"=>"TAIWAN PROVINCE OF CHINA",
"TJ"=>"TAJIKISTAN",
"TZ"=>"TANZANIA UNITED REPUBLIC OF",
"TH"=>"THAILAND",
"TL"=>"TIMOR-LESTE",
"TG"=>"TOGO",
"TK"=>"TOKELAU",
"TO"=>"TONGA",
"TT"=>"TRINIDAD AND TOBAGO",
"TN"=>"TUNISIA",
"TR"=>"TURKEY",
"TM"=>"TURKMENISTAN",
"TC"=>"TURKS AND CAICOS ISLANDS",
"TV"=>"TUVALU",
"UG"=>"UGANDA",
"UA"=>"UKRAINE",
"AE"=>"UNITED ARAB EMIRATES",
"GB"=>"UNITED KINGDOM",
"US"=>"UNITED STATES",
"UM"=>"UNITED STATES MINOR OUTLYING ISLANDS",
"UY"=>"URUGUAY",
"UZ"=>"UZBEKISTAN",
"VU"=>"VANUATU",
"VE"=>"VENEZUELA",
"VN"=>"VIETNAM",
"VG"=>"VIRGIN ISLANDS BRITISH",
"VI"=>"VIRGIN ISLANDS U.S.",
"WF"=>"WALLIS AND FUTUNA",
"EH"=>"WESTERN SAHARA",
"YE"=>"YEMEN",
"ZM"=>"ZAMBIA",
"ZW"=>"ZIMBABWE"
);

// Turn off error reporting to prevent warning messages from being displayed
error_reporting(0);

// Some servers require the include path to be set
// ini_set("include_path",".:/home/yourdomain/public_html/");

?>
